Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryContactAddress

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistryContactAddress

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistryContactAddress

extends java.lang.Object
implements EPPCodecComponent

Represents the address information policy information. The <registry:address> element contains the following child elements:

- <registry:street> - The minimum and maximum length and the minimum and maximum number of the <contact:street> elements defined in RFC 5733
- <registry:city> - The minimum and maximum length of the <contact:city> element defined in RFC 5733 using the <registry:minLength> and <registry:maxLength> child elements, respectively.
- <registry:sp> - The minimum and maximum length of the <contact:sp> element defined in RFC 5733 using the <registry:minLength> and <registry:maxLength> child elements, respectively.
- <registry:pc> - The minimum and maximum length of the <contact:pc> element defined in RFC 5733 using the <registry:minLength> and <registry:maxLength> child elements, respectively

Version:
  1.4
Author:
  ljia
See Also:
  `EPPRegistryPostal`, `EPPRegistryContactStreet`, `EPPRegistryContactCity`, `EPPRegistryContactStateProvince`, `EPPRegistryContactPostalCode`, Serialized Form

Field Summary
`static java.lang.String` | `ELM_COUNTRY_CODE` DOCUMENT ME!
`static java.lang.String` | `ELM_NAME` XML Element Name of `EPPRegistryContactAddress` root element.

Constructor Summary
`EPPRegistryContactAddress()`

Method Summary
`java.lang.Object` | `clone()` Clone `EPPRegistryContactAddress`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryContactAddress` attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryContactAddress` instance.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryContactAddress` compare.
`EPPRegistryContactCity` | `getCity()` Gets the contact city attributes.
`EPPRegistryContactPostalCode` | `getPostalCode()` Gets the contact postal code attributes.
`EPPRegistryContactStateProvince` | `getStateProvince()` Gets the contact state/province attributes.
`EPPRegistryContactStreet` | `getStreet()` Gets the contact street attributes.
`void` | `setCity(EPPRegistryContactCity city)` Sets the contact city attributes.
`void` | `setPostalCode(EPPRegistryContactPostalCode postalCode)` Sets the contact postal code attributes.
`void` | `setStateProvince(EPPRegistryContactStateProvince stateProvince)` Sets the contact state/province attributes.
`void` | `setStreet(EPPRegistryContactStreet street)` Sets the contact street attributes.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML Element Name of `EPPRegistryContactAddress` root element.

  See Also:
    Constant Field Values

### ELM_COUNTRY_CODE

    public static final java.lang.String ELM_COUNTRY_CODE

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### EPPRegistryContactAddress

    public EPPRegistryContactAddress()

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPRegistryContactAddress` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPRegistryContactAddress` instance.
  Throws:
    `EPPEncodeException` - - Unable to encode `EPPRegistryContactAddress` instance.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPRegistryContactAddress` attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPRegistryContactAddress` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPRegistryContactAddress`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPRegistryContactAddress`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPRegistryContactAddress` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPRegistryContactAddress` instance to compare with
  Returns:
    `true` if this object is the same as the aObject argument; `false` otherwise

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getCity

    public EPPRegistryContactCity getCity()

  Gets the contact city attributes.

  Returns:
    instance of `EPPRegistryContactCity` that specifies the minimum and maximum length of the <contact:city> element defined in RFC 5733 using the <registry:minLength> and <registry:maxLength> child elements, respectively

### setCity

    public void setCity(EPPRegistryContactCity city)

  Sets the contact city attributes.

  Parameters:
    `city` - instance of `EPPRegistryContactCity` that specifies the minimum and maximum length of the <contact:city> element defined in RFC 5733 using the <registry:minLength> and <registry:maxLength> child elements, respectively

### getStateProvince

    public EPPRegistryContactStateProvince getStateProvince()

  Gets the contact state/province attributes.

  Returns:
    instance of `EPPRegistryContactStateProvince` that specifies the minimum and maximum length of the <contact:sp> element defined in RFC 5733 using the <registry:minLength> and <registry:maxLength> child elements, respectively

### setStateProvince

    public void setStateProvince(EPPRegistryContactStateProvince stateProvince)

  Sets the contact state/province attributes.

  Parameters:
    `stateProvince` - instance of `EPPRegistryContactStateProvince` that specifies the minimum and maximum length of the <contact:sp> element defined in RFC 5733 using the <registry:minLength> and <registry:maxLength> child elements, respectively

### getPostalCode

    public EPPRegistryContactPostalCode getPostalCode()

  Gets the contact postal code attributes.

  Returns:
    instance of `EPPRegistryContactPostalCode` that specifies the minimum and maximum length of the <contact:pc> element defined in RFC 5733 using the <registry:minLength> and <registry:maxLength> child elements, respectively

### setPostalCode

    public void setPostalCode(EPPRegistryContactPostalCode postalCode)

  Sets the contact postal code attributes.

  Parameters:
    `postalCode` - instance of `EPPRegistryContactPostalCode` that specifies the minimum and maximum length of the <contact:pc> element defined in RFC 5733 using the <registry:minLength> and <registry:maxLength> child elements, respectively

### getStreet

    public EPPRegistryContactStreet getStreet()

  Gets the contact street attributes.

  Returns:
    instance of `EPPRegistryContactStreet` that specifies the The minimum and maximum length and the minimum and maximum number of the <contact:street> elements defined in RFC 5733

### setStreet

    public void setStreet(EPPRegistryContactStreet street)

  Sets the contact street attributes.

  Parameters:
    `street` - instance of `EPPRegistryContactStreet` that specifies the The minimum and maximum length and the minimum and maximum number of the <contact:street> elements defined in RFC 5733

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.